1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PSP Games

Discussion in 'Sony PSP - Mod and firmware discussion' started by Burnrider, Jun 28, 2007.

  1. Burnrider

    Burnrider Member

    Joined:
    Nov 11, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Hi all,

    I'm new to this. I have a PSP 2.60 that can play iso, cso games. It's been downgraded to 1.5. I use DEVhook to load my files. I haven't had any problems until recently. I got FF and when I go to load it like normal, it saids to upgrade to 3.1. I was told before never to upgrade, how do I get around this or is this ok, being an iso file. Your comments and suggestions will be much appreciated. Many thanks in advance.
     
  2. thegrunt

    thegrunt Regular member

    Joined:
    Jun 4, 2007
    Messages:
    638
    Likes Received:
    0
    Trophy Points:
    26
    Upgrade to custom firmware 3.40oea,and search for the files.(you can upgrade as long as they are not official Sony upgrades)
     
  3. Burnrider

    Burnrider Member

    Joined:
    Nov 11, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Hi,

    Sorry thegrunt, but do you know a link where I can get more info on this. I don't know where to start as I only play the games and my PSP was downgraded by someone else. Does the whole machine need upgrading or was it just the firmware selection in devhook (mine only goes up to 2.71). Sorry about this. But I heard I can fry my PSP if I did something wrong. Many thanks for you help in advance.

     
  4. blackvamp

    blackvamp Regular member

    Joined:
    May 3, 2007
    Messages:
    1,173
    Likes Received:
    0
    Trophy Points:
    46
  5. Burnrider

    Burnrider Member

    Joined:
    Nov 11, 2004
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    11
    Firstly, thanks for the link. I would like to know, once I've installed this 3.40. How do I go about loading the games on my memstick? And can this software work for a 1.5 PSP aswell. Many thanks for your time.
     
  6. thegrunt

    thegrunt Regular member

    Joined:
    Jun 4, 2007
    Messages:
    638
    Likes Received:
    0
    Trophy Points:
    26
    Yes 3.40oe only works if you have 1.5.You make a folder called ISO(maybe you have it allready I havent used devhook in ages)on the root of the memory stick and run the games from your XMB
     

Share This Page